For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Customer By Email

Get a specific customer by email

Endpoint

GET /external/v1/customers/by-email/{email}

Response - 200 OK

{
  "name": "string",
  "email": "user@example.com",
  "whatsapp_number": "string",
  "source": "string",
  "ip": "string",
  "city": "string",
  "country": "string",
  "location": "string",
  "latitude": "string",
  "longitude": "string",
  "is_active": true,
  "customer_id": "string",
  "time_created": "2026-08-07T09:07:26.504Z",
  "time_updated": "2026-08-07T09:07:26.504Z",
  "organization_id": 0,
  "company_id": 0,
  "last_session_id": "string",
  "last_session_node": "string",
  "last_session_node_at": "2026-08-07T09:07:26.504Z",
  "last_session_channel": "string"
}

Response Fields

Field
Type
Description

id

integer

Internal ID

customer_id

string

Public customer ID

name

string

Customer name

email

string

Email address

whatsapp_number

string

WhatsApp number

source

string

Customer source

ip

string

IP address

city

string

City

country

string

Country

location

string

Full location

latitude

string

Latitude

longitude

string

Longitude

is_active

boolean

Whether the customer is active

organization_id

integer

Organization ID

company_id

integer

Company ID

company_name

string

Company name

time_created

string (ISO datetime)

Creation timestamp

time_updated

string (ISO datetime)

Update timestamp


Response — 422 Validation Error

Last updated